[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Unix' (#rtl)

# fpStatFS

Retrieve filesystem information.

## Declaration

Source position: unxsysch.inc line 19

`function fpStatFS(`
`Path: PChar;`
`Info: pstatfs`
`):cint;`

## Description

fpStatFS returns in Info information about the filesystem on which the file or path Path resides. Info is of type tstatfs. The function returns 0 if the call was succesfull, or an error code if the call failed.

## Errors

On error, a non-zero error code is returned

## See also

fpFStatFS |  | Retrieve filesystem information.
#rtl.baseunix.fpStat |  | Retrieve file information about a file descriptor.

Documentation generated on: Feb 26 2014